import request from "@/utils/request.js";


/**
 * @description 获取价格表
 * @params 
 * @returns 
 */
export function packageInfoApi() {
  return request({
    url: `/api/product/list_v1?type=2&projectType=2`, // /api/user/getPackageInfo
    method: 'get'
  })
}

/**
 * @description 订单详情
 * @params 
 * @returns 
 */
export function orderDetailApi(id) {
  return request({
    url: `/api/productOrder/findByNumber?orderNumber=${id}`,
    method: 'get'
  })
}



/**
 * @description 创建支付
 * @params 
 * @returns 
 */
export function createPayApi(data) {
  return request({
    url: `/api/productOrder/createPay`,
    method: 'post',
    data
  })
}


/**
 * @description 创建支付
 * @params 
 * @returns 
 */
export function findStatusApi(data) {
  return request({
    url: `/api/productOrder/findStatus?orderNumber=${data.orderNumber}&payVendor=${data.payVendor}`,
    method: 'get'
  })
}

